Redmine - Feature #22381

Require password reset on initial setup for default admin account
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Security Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed

Description

To improve the security of a fresh Redmine installation, | propose to force a password reset for the default admin account on first
login.

If this change is applied, the installation instructions would need to be updated accordingly.
Unit test should not be affected, since they solely rely on fixtures and not default data created using migrations.
The attached patch, adds a migration which sets the must_change_passwd field to true for the default admin account, if it was not

used yet (last_login_on: nil). This should make sure, that existing installations are not affected and the changes are only applied
during the initial rake db:migrate run.

Related issues:
Related to Redmine - Patch #3858: Force the 'admin’ account to change the def... Closed 2009-09-13

Associated revisions

Revision 15321 - 2016-04-11 21:07 - Jean-Philippe Lang

Force password reset for default admin user (#22381).

Patch by Gregor Schmidt.

History

#1 - 2016-04-04 11:31 - Go MAEDA
- Related to Patch #3858: Force the 'admin' account to change the default password added

#2 - 2016-04-11 12:53 - Gregor Schmidt
Thanks for pointing me to the other ticket. Before creating this issue, | was trying to find a similar ticket, but | guess, | was using the wrong search
terms.

I just had a look at the patch, you proposed in #3858. It looks, like we both had the same idea. :) Therefore | would propose to close this issue in
favour of #3858. (Unfortunately | cannot do that on my own.)

| just wanted to briefly explain, that | was hesitant to create a User instance within the migration, since that sometimes leads to errors involving
outdated column caches within ActiveRecord.

#3 - 2016-04-11 21:09 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

Gregor Schmidt wrote:
| just wanted to briefly explain, that | was hesitant to create a User instance within the migration, since that sometimes leads to errors involving

outdated column caches within ActiveRecord.

Agreed, using model instances in migrations should be avoided as much as possible. Patch committed.

2025-07-06 1/2



https://www.redmine.org/issues/3858
https://www.redmine.org/issues/3858

#4 - 2016-05-21 09:12 - Jean-Philippe Lang

- Subject changed from Require password reset on initial setup to Require password reset on initial setup for default admin account

Files

0001-Force-password-reset-for-default-admin-user.patch 1020 Bytes 2016-04-04 Gregor Schmidt

2025-07-06 22


http://www.tcpdf.org

